Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036723
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementminorhave not tried2017-08-25 16:502017-10-02 17:58
Reportermarkmm82View Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision757a15bcdfb8
ProjectionnoneETAnoneTarget Version3.0PR17Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036723: New storage bins are created with Undefined-Overissue inventory status instead of Undefined by default

DescriptionWhen new storage bin is created, it set as Undefined-Overissue its inventory
status by default. This allow negative stock in those locators and it shouldn't be the default behaviour.

By default, new storage bins created should be set with Undefined inventory status to don't allow negative stock.

Note: InitializeInventoryStatus.java modulescript should be adapted to set the inventory status with Undefined-Overissue if related client allows negative stock. Right now it is setting inventory status as Undefined if client doesn't allows negative stock.
Steps To ReproduceCreate a new warehouse.
Create a new Storage Bin to it, and notice inventory status field has Undefined-Overissue status by default.
Proposed SolutionSet Undefined as default inventory status when a new storagebin is created.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0036086 closeddmiguelez Add Inventory Status functionality 
depends on backport 00369553.0PR17Q3.1 closedAtulOpenbravo New storage bins are created with Undefined-Overissue inventory status instead of Undefined by default 

-  Notes
(0099193)
AtulOpenbravo (developer)
2017-09-20 21:14

- Login and F&B International Group Admin
- Create a new warehouse.
- Create a new Storage Bin to it.
- Realize that inventory status field has Undefined status by default.
(0099435)
hgbot (developer)
2017-09-21 19:37

Repository: erp/devel/pi
Changeset: 757a15bcdfb8a4fef656859cca918e07c9011e36
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Sep 21 20:24:21 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/757a15bcdfb8a4fef656859cca918e07c9011e36 [^]

Fixes issue 36723: New storage bins are created with Undefined-Overissue status
instead of Undefined by default

** Set id of Undefined inventory status as default value for column m_inventorystatus_id
in m_locator table as well as tables and columns in application dictionary

** Adapt Initialize Inventory Status modulescript to set Undefined-overdue status to
locator of the clients where allow negative stock flag is set as Yes

---
M src-db/database/model/tables/M_LOCATOR.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeInventoryStatus.class
M src-util/modulescript/src/org/openbravo/modulescript/InitializeInventoryStatus.java
---
(0099436)
hgbot (developer)
2017-09-21 19:38

Repository: erp/devel/pi
Changeset: e2809fc56feeb1082298c840f6b764153cd634e2
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Sep 21 18:57:37 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e2809fc56feeb1082298c840f6b764153cd634e2 [^]

Related to issue 36723: Fix modulescript limits

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeInventoryStatus.class
M src-util/modulescript/src/org/openbravo/modulescript/InitializeInventoryStatus.java
---
(0099437)
aferraz (developer)
2017-09-21 19:39

Code review + Testing OK
(0099453)
hudsonbot (developer)
2017-09-22 03:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79f756868bba [^]
Maturity status: Test
(0099454)
hudsonbot (developer)
2017-09-22 03:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79f756868bba [^]
Maturity status: Test
(0099577)
hgbot (developer)
2017-09-26 13:28

Repository: erp/devel/pi
Changeset: a0e824aa61a70518393fb06a472a963f8d5d0a29
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 26 12:55:18 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a0e824aa61a70518393fb06a472a963f8d5d0a29 [^]

Related to issue 36723: Add preference to execute modulescript only once

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeInventoryStatus.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeInventoryStatusData.class
M src-util/modulescript/src/org/openbravo/modulescript/InitializeInventoryStatus.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeInventoryStatus_data.xsql
---
(0099579)
hgbot (developer)
2017-09-26 13:59

Repository: erp/devel/pi
Changeset: af3110240b935ee6bd02e5c3f92d2139e66ee171
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Sep 26 13:26:43 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/af3110240b935ee6bd02e5c3f92d2139e66ee171 [^]

Related to issue 36723: Use attribute to create preference instead of property

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeInventoryStatusData.class
M src-util/modulescript/src/org/openbravo/modulescript/InitializeInventoryStatus_data.xsql
---
(0099610)
hudsonbot (developer)
2017-09-27 00:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f8aef32786fd [^]
Maturity status: Test
(0099611)
hudsonbot (developer)
2017-09-27 00:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f8aef32786fd [^]
Maturity status: Test
(0099691)
hgbot (developer)
2017-10-02 12:40

Repository: erp/devel/pi
Changeset: cc49d8d5f46bf79bb1d3f43ee92bf165e625c33f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Oct 02 12:02:08 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cc49d8d5f46bf79bb1d3f43ee92bf165e625c33f [^]

Related to issue 36723: Changes in M_Locator inventory status for QA client

---
M referencedata/sampledata/QA_Testing/M_LOCATOR.xml
---
(0099703)
hudsonbot (developer)
2017-10-02 17:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44a89970274a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-25 16:50 markmm82 New Issue
2017-08-25 16:50 markmm82 Assigned To => markmm82
2017-08-25 16:50 markmm82 Modules => Core
2017-08-25 16:50 markmm82 Triggers an Emergency Pack => No
2017-08-25 17:02 markmm82 Description Updated View Revisions
2017-08-25 17:08 markmm82 Summary New storage bins are created with Undefined-Overissue status instead of Undefined by default => New storage bins are created with Undefined-Overissue inventory status instead of Undefined by default
2017-08-25 17:08 markmm82 Description Updated View Revisions
2017-08-25 17:08 markmm82 Steps to Reproduce Updated View Revisions
2017-08-25 17:08 markmm82 Proposed Solution updated
2017-09-20 21:14 AtulOpenbravo Status new => scheduled
2017-09-20 21:14 AtulOpenbravo Note Added: 0099193
2017-09-21 19:37 hgbot Checkin
2017-09-21 19:37 hgbot Note Added: 0099435
2017-09-21 19:37 hgbot Status scheduled => resolved
2017-09-21 19:37 hgbot Resolution open => fixed
2017-09-21 19:37 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/757a15bcdfb8a4fef656859cca918e07c9011e36 [^]
2017-09-21 19:38 hgbot Checkin
2017-09-21 19:38 hgbot Note Added: 0099436
2017-09-21 19:39 aferraz Review Assigned To => aferraz
2017-09-21 19:39 aferraz Note Added: 0099437
2017-09-21 19:39 aferraz Status resolved => closed
2017-09-21 19:39 aferraz Fixed in Version => 3.0PR17Q4
2017-09-22 03:19 hudsonbot Checkin
2017-09-22 03:19 hudsonbot Note Added: 0099453
2017-09-22 03:19 hudsonbot Checkin
2017-09-22 03:19 hudsonbot Note Added: 0099454
2017-09-26 13:28 hgbot Checkin
2017-09-26 13:28 hgbot Note Added: 0099577
2017-09-26 13:59 hgbot Checkin
2017-09-26 13:59 hgbot Note Added: 0099579
2017-09-26 13:59 aferraz Relationship added related to 0036086
2017-09-26 14:04 aferraz Status closed => new
2017-09-26 14:04 aferraz Resolution fixed => open
2017-09-26 14:04 aferraz Fixed in Version 3.0PR17Q4 =>
2017-09-26 14:06 aferraz Status new => scheduled
2017-09-26 14:07 aferraz Target Version => 3.0PR17Q4
2017-09-26 14:08 aferraz Status scheduled => resolved
2017-09-26 14:08 aferraz Fixed in Version => 3.0PR17Q4
2017-09-26 14:08 aferraz Resolution open => fixed
2017-09-26 14:08 aferraz Status resolved => closed
2017-09-26 14:10 aferraz Assigned To markmm82 => AtulOpenbravo
2017-09-27 00:09 hudsonbot Checkin
2017-09-27 00:09 hudsonbot Note Added: 0099610
2017-09-27 00:09 hudsonbot Checkin
2017-09-27 00:09 hudsonbot Note Added: 0099611
2017-10-02 12:40 hgbot Checkin
2017-10-02 12:40 hgbot Note Added: 0099691
2017-10-02 17:58 hudsonbot Checkin
2017-10-02 17:58 hudsonbot Note Added: 0099703


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker